org.apache.creadur.tentacles

## Class Layout

- java.lang.Object
- - org.apache.creadur.tentacles.Layout

    public class Layout
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Layout(Platform platform, Configuration configuration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `getContentRootDirectory()`
`File` `getLocalRootDirectory()`
`File` `getOutputDirectory()`
`File` `getRepositoryDirectory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Layout

    public Layout(Platform platform,
                  Configuration configuration)

### Method Detail

#### getLocalRootDirectory

    public File getLocalRootDirectory()

#### getOutputDirectory

    public File getOutputDirectory()

#### getRepositoryDirectory

    public File getRepositoryDirectory()

#### getContentRootDirectory

    public File getContentRootDirectory()